/*===========================================================================*/
/*   (Lalr/gen.scm)                                                          */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Lalr/gen.scm -indent -o objs/obj_u/Lalr/gen.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LALR_GEN_TYPE_DEFINITIONS
#define BGL___LALR_GEN_TYPE_DEFINITIONS
#endif													// BGL___LALR_GEN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_genzd2actionzd2tablez00zz__lalr_genz00(void);
	static obj_t BGl_symbol1830z00zz__lalr_genz00 = BUNSPEC;
	extern obj_t BGl_za2symvza2z00zz__lalr_rewritez00;
	static obj_t BGl_symbol1833z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1837z00zz__lalr_genz00 = BUNSPEC;
	extern obj_t BGl_nvarsz00zz__lalr_globalz00;
	static obj_t BGl_symbol1840z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1843z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1846z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1815z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1849z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1818z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1853z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1821z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1856z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1859z00zz__lalr_genz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__lalr_genz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__lalr_globalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_symbol1863z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1865z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1832z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1867z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1835z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1869z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1836z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_reductionsze70ze7zz__lalr_genz00(void);
	static obj_t BGl_list1839z00zz__lalr_genz00 = BUNSPEC;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genzd2lalrzd2codez00zz__lalr_genz00(void);
	static obj_t BGl_loopzd2gze70z35zz__lalr_genz00(long);
	static obj_t BGl_symbol1871z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1873z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1875z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1842z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1877z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1845z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1879z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1848z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1881z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1883z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1851z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1885z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1852z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1887z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1855z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1858z00zz__lalr_genz00 = BUNSPEC;
	extern obj_t BGl_shiftzd2tablezd2zz__lalr_globalz00;
	static obj_t BGl_cnstzd2initzd2zz__lalr_genz00(void);
	static obj_t BGl_genericzd2initzd2zz__lalr_genz00(void);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_acceszd2symbolzd2zz__lalr_globalz00;
	extern obj_t BGl_nstatesz00zz__lalr_globalz00;
	static obj_t BGl_loopzd2pze70z35zz__lalr_genz00(obj_t, obj_t, obj_t, long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_genz00(void);
	static obj_t BGl_list1861z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_list1862z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__lalr_genz00(void);
	static obj_t BGl_objectzd2initzd2zz__lalr_genz00(void);
	static obj_t BGl_genzd2reductionzd2tablez00zz__lalr_genz00(void);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_loopzd2aze70z35zz__lalr_genz00(long);
	static obj_t BGl_gotosze70ze7zz__lalr_genz00(void);
	static obj_t BGl_z62genzd2lalrzd2codez62zz__lalr_genz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__lalr_genz00(void);
	extern obj_t BGl_grammarz00zz__lalr_globalz00;
	static obj_t BGl_loopze70ze7zz__lalr_genz00(long, obj_t);
	static obj_t BGl_loopze71ze7zz__lalr_genz00(obj_t);
	static obj_t BGl_loopze72ze7zz__lalr_genz00(obj_t);
	static obj_t BGl_genzd2gotozd2tablez00zz__lalr_genz00(void);
	static obj_t BGl_actionsze70ze7zz__lalr_genz00(void);
	static obj_t BGl_loopzd2lze70z35zz__lalr_genz00(obj_t, long);
	static obj_t BGl_symbol1816z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1819z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1822z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1824z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1826z00zz__lalr_genz00 = BUNSPEC;
	static obj_t BGl_symbol1828z00zz__lalr_genz00 = BUNSPEC;
	extern obj_t BGl_actionzd2tablezd2zz__lalr_globalz00;
	static obj_t *__cnst;


	   
		 
		BGL_DEFINE_STRING(BGl_string1870z00zz__lalr_genz00,
		BgL_bgl_string1870za700za7za7_1890za7, "__make-parser", 13);
	      BGL_DEFINE_STRING(BGl_string1872z00zz__lalr_genz00,
		BgL_bgl_string1872za700za7za7_1891za7, "quote", 5);
	      BGL_DEFINE_STRING(BGl_string1874z00zz__lalr_genz00,
		BgL_bgl_string1874za700za7za7_1892za7, "__goto-table", 12);
	      BGL_DEFINE_STRING(BGl_string1876z00zz__lalr_genz00,
		BgL_bgl_string1876za700za7za7_1893za7, "__sp", 4);
	      BGL_DEFINE_STRING(BGl_string1878z00zz__lalr_genz00,
		BgL_bgl_string1878za700za7za7_1894za7, "__stack", 7);
	      BGL_DEFINE_STRING(BGl_string1880z00zz__lalr_genz00,
		BgL_bgl_string1880za700za7za7_1895za7, "n", 1);
	      BGL_DEFINE_STRING(BGl_string1882z00zz__lalr_genz00,
		BgL_bgl_string1882za700za7za7_1896za7, "case", 4);
	      BGL_DEFINE_STRING(BGl_string1884z00zz__lalr_genz00,
		BgL_bgl_string1884za700za7za7_1897za7, "vector-ref-ur", 13);
	      BGL_DEFINE_STRING(BGl_string1886z00zz__lalr_genz00,
		BgL_bgl_string1886za700za7za7_1898za7, "*start*", 7);
	      BGL_DEFINE_STRING(BGl_string1888z00zz__lalr_genz00,
		BgL_bgl_string1888za700za7za7_1899za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1889z00zz__lalr_genz00,
		BgL_bgl_string1889za700za7za7_1900za7, "__lalr_gen", 10);
	      BGL_DEFINE_STRING(BGl_string1817z00zz__lalr_genz00,
		BgL_bgl_string1817za700za7za7_1901za7, "__push", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genzd2lalrzd2codezd2envzd2zz__lalr_genz00,
		BgL_bgl_za762genza7d2lalrza7d21902za7,
		BGl_z62genzd2lalrzd2codez62zz__lalr_genz00, 0L, BUNSPEC, 0);
	      BGL_DEFINE_STRING(BGl_string1820z00zz__lalr_genz00,
		BgL_bgl_string1820za700za7za7_1903za7, "lambda", 6);
	      BGL_DEFINE_STRING(BGl_string1823z00zz__lalr_genz00,
		BgL_bgl_string1823za700za7za7_1904za7, "stack", 5);
	      BGL_DEFINE_STRING(BGl_string1825z00zz__lalr_genz00,
		BgL_bgl_string1825za700za7za7_1905za7, "sp", 2);
	      BGL_DEFINE_STRING(BGl_string1827z00zz__lalr_genz00,
		BgL_bgl_string1827za700za7za7_1906za7, "new-cat", 7);
	      BGL_DEFINE_STRING(BGl_string1829z00zz__lalr_genz00,
		BgL_bgl_string1829za700za7za7_1907za7, "goto-table", 10);
	      BGL_DEFINE_STRING(BGl_string1831z00zz__lalr_genz00,
		BgL_bgl_string1831za700za7za7_1908za7, "lval", 4);
	      BGL_DEFINE_STRING(BGl_string1834z00zz__lalr_genz00,
		BgL_bgl_string1834za700za7za7_1909za7, "let*", 4);
	      BGL_DEFINE_STRING(BGl_string1838z00zz__lalr_genz00,
		BgL_bgl_string1838za700za7za7_1910za7, "state", 5);
	      BGL_DEFINE_STRING(BGl_string1841z00zz__lalr_genz00,
		BgL_bgl_string1841za700za7za7_1911za7, "vector-ref", 10);
	      BGL_DEFINE_STRING(BGl_string1844z00zz__lalr_genz00,
		BgL_bgl_string1844za700za7za7_1912za7, "new-state", 9);
	      BGL_DEFINE_STRING(BGl_string1847z00zz__lalr_genz00,
		BgL_bgl_string1847za700za7za7_1913za7, "cdr", 3);
	      BGL_DEFINE_STRING(BGl_string1850z00zz__lalr_genz00,
		BgL_bgl_string1850za700za7za7_1914za7, "assq", 4);
	      BGL_DEFINE_STRING(BGl_string1854z00zz__lalr_genz00,
		BgL_bgl_string1854za700za7za7_1915za7, "new-sp", 6);
	      BGL_DEFINE_STRING(BGl_string1857z00zz__lalr_genz00,
		BgL_bgl_string1857za700za7za7_1916za7, "+fx", 3);
	      BGL_DEFINE_STRING(BGl_string1860z00zz__lalr_genz00,
		BgL_bgl_string1860za700za7za7_1917za7, "vector-set!", 11);
	      BGL_DEFINE_STRING(BGl_string1864z00zz__lalr_genz00,
		BgL_bgl_string1864za700za7za7_1918za7, "-fx", 3);
	      BGL_DEFINE_STRING(BGl_string1866z00zz__lalr_genz00,
		BgL_bgl_string1866za700za7za7_1919za7, "__reduce", 8);
	      BGL_DEFINE_STRING(BGl_string1868z00zz__lalr_genz00,
		BgL_bgl_string1868za700za7za7_1920za7, "__action-table", 14);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1868z00zz__lalr_genz00,
			BgL_bgl_string1868za700za7za7_1920za7);
		BGL_BIND_STRING(BGl_string1866z00zz__lalr_genz00,
			BgL_bgl_string1866za700za7za7_1919za7);
		BGL_BIND_STRING(BGl_string1864z00zz__lalr_genz00,
			BgL_bgl_string1864za700za7za7_1918za7);
		BGL_BIND_STRING(BGl_string1860z00zz__lalr_genz00,
			BgL_bgl_string1860za700za7za7_1917za7);
		BGL_BIND_STRING(BGl_string1857z00zz__lalr_genz00,
			BgL_bgl_string1857za700za7za7_1916za7);
		BGL_BIND_STRING(BGl_string1854z00zz__lalr_genz00,
			BgL_bgl_string1854za700za7za7_1915za7);
		BGL_BIND_STRING(BGl_string1850z00zz__lalr_genz00,
			BgL_bgl_string1850za700za7za7_1914za7);
		BGL_BIND_STRING(BGl_string1847z00zz__lalr_genz00,
			BgL_bgl_string1847za700za7za7_1913za7);
		BGL_BIND_STRING(BGl_string1844z00zz__lalr_genz00,
			BgL_bgl_string1844za700za7za7_1912za7);
		BGL_BIND_STRING(BGl_string1841z00zz__lalr_genz00,
			BgL_bgl_string1841za700za7za7_1911za7);
		BGL_BIND_STRING(BGl_string1838z00zz__lalr_genz00,
			BgL_bgl_string1838za700za7za7_1910za7);
		BGL_BIND_STRING(BGl_string1834z00zz__lalr_genz00,
			BgL_bgl_string1834za700za7za7_1909za7);
		BGL_BIND_STRING(BGl_string1831z00zz__lalr_genz00,
			BgL_bgl_string1831za700za7za7_1908za7);
		BGL_BIND_STRING(BGl_string1829z00zz__lalr_genz00,
			BgL_bgl_string1829za700za7za7_1907za7);
		BGL_BIND_STRING(BGl_string1827z00zz__lalr_genz00,
			BgL_bgl_string1827za700za7za7_1906za7);
		BGL_BIND_STRING(BGl_string1825z00zz__lalr_genz00,
			BgL_bgl_string1825za700za7za7_1905za7);
		BGL_BIND_STRING(BGl_string1823z00zz__lalr_genz00,
			BgL_bgl_string1823za700za7za7_1904za7);
		BGL_BIND_STRING(BGl_string1820z00zz__lalr_genz00,
			BgL_bgl_string1820za700za7za7_1903za7);
		BGL_BIND_PROCEDURE(BGl_genzd2lalrzd2codezd2envzd2zz__lalr_genz00,
			BgL_bgl_za762genza7d2lalrza7d21902za7);
		BGL_BIND_STRING(BGl_string1817z00zz__lalr_genz00,
			BgL_bgl_string1817za700za7za7_1901za7);
		BGL_BIND_STRING(BGl_string1889z00zz__lalr_genz00,
			BgL_bgl_string1889za700za7za7_1900za7);
		BGL_BIND_STRING(BGl_string1888z00zz__lalr_genz00,
			BgL_bgl_string1888za700za7za7_1899za7);
		BGL_BIND_STRING(BGl_string1886z00zz__lalr_genz00,
			BgL_bgl_string1886za700za7za7_1898za7);
		BGL_BIND_STRING(BGl_string1884z00zz__lalr_genz00,
			BgL_bgl_string1884za700za7za7_1897za7);
		BGL_BIND_STRING(BGl_string1882z00zz__lalr_genz00,
			BgL_bgl_string1882za700za7za7_1896za7);
		BGL_BIND_STRING(BGl_string1880z00zz__lalr_genz00,
			BgL_bgl_string1880za700za7za7_1895za7);
		BGL_BIND_STRING(BGl_string1878z00zz__lalr_genz00,
			BgL_bgl_string1878za700za7za7_1894za7);
		BGL_BIND_STRING(BGl_string1876z00zz__lalr_genz00,
			BgL_bgl_string1876za700za7za7_1893za7);
		BGL_BIND_STRING(BGl_string1874z00zz__lalr_genz00,
			BgL_bgl_string1874za700za7za7_1892za7);
		BGL_BIND_STRING(BGl_string1872z00zz__lalr_genz00,
			BgL_bgl_string1872za700za7za7_1891za7);
		BGL_BIND_STRING(BGl_string1870z00zz__lalr_genz00,
			BgL_bgl_string1870za700za7za7_1890za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_symbol1830z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1833z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1837z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1840z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1843z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1846z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1815z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1849z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1818z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1853z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1821z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1856z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1859z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1863z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1865z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1832z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1867z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1835z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1869z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1836z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1839z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1871z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1873z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1875z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1842z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1877z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1845z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1879z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1848z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1881z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1883z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1851z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1885z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1852z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1887z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1855z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1858z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1861z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_list1862z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1816z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1819z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1822z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1824z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1826z00zz__lalr_genz00));
		ADD_ROOT((void *) (&BGl_symbol1828z00zz__lalr_genz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_genz00(long
		BgL_checksumz00_2105, char *BgL_fromz00_2106)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_genz00))
				{
					BGl_requirezd2initializa7ationz75zz__lalr_genz00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__lalr_genz00();
					BGl_cnstzd2initzd2zz__lalr_genz00();
					BGl_importedzd2moduleszd2initz00zz__lalr_genz00();
					return BGl_methodzd2initzd2zz__lalr_genz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			BGl_symbol1816z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1817z00zz__lalr_genz00);
			BGl_symbol1819z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1820z00zz__lalr_genz00);
			BGl_symbol1822z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1823z00zz__lalr_genz00);
			BGl_symbol1824z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1825z00zz__lalr_genz00);
			BGl_symbol1826z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1827z00zz__lalr_genz00);
			BGl_symbol1828z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1829z00zz__lalr_genz00);
			BGl_symbol1830z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1831z00zz__lalr_genz00);
			BGl_list1821z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1822z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1824z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_symbol1826z00zz__lalr_genz00,
						MAKE_YOUNG_PAIR(BGl_symbol1828z00zz__lalr_genz00,
							MAKE_YOUNG_PAIR(BGl_symbol1830z00zz__lalr_genz00, BNIL)))));
			BGl_symbol1833z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1834z00zz__lalr_genz00);
			BGl_symbol1837z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1838z00zz__lalr_genz00);
			BGl_symbol1840z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1841z00zz__lalr_genz00);
			BGl_list1839z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1840z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1822z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_symbol1824z00zz__lalr_genz00, BNIL)));
			BGl_list1836z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1837z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1839z00zz__lalr_genz00, BNIL));
			BGl_symbol1843z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1844z00zz__lalr_genz00);
			BGl_symbol1846z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1847z00zz__lalr_genz00);
			BGl_symbol1849z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1850z00zz__lalr_genz00);
			BGl_list1851z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1840z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1828z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_symbol1837z00zz__lalr_genz00, BNIL)));
			BGl_list1848z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1849z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1826z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_list1851z00zz__lalr_genz00, BNIL)));
			BGl_list1845z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1846z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1848z00zz__lalr_genz00, BNIL));
			BGl_list1842z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1843z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1845z00zz__lalr_genz00, BNIL));
			BGl_symbol1853z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1854z00zz__lalr_genz00);
			BGl_symbol1856z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1857z00zz__lalr_genz00);
			BGl_list1855z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1856z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1824z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BINT(2L), BNIL)));
			BGl_list1852z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1853z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1855z00zz__lalr_genz00, BNIL));
			BGl_list1835z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_list1836z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1842z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_list1852z00zz__lalr_genz00, BNIL)));
			BGl_symbol1859z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1860z00zz__lalr_genz00);
			BGl_list1858z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1859z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1822z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_symbol1853z00zz__lalr_genz00,
						MAKE_YOUNG_PAIR(BGl_symbol1843z00zz__lalr_genz00, BNIL))));
			BGl_symbol1863z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1864z00zz__lalr_genz00);
			BGl_list1862z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1863z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1853z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BINT(1L), BNIL)));
			BGl_list1861z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1859z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_symbol1822z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_list1862z00zz__lalr_genz00,
						MAKE_YOUNG_PAIR(BGl_symbol1830z00zz__lalr_genz00, BNIL))));
			BGl_list1832z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1833z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1835z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_list1858z00zz__lalr_genz00,
						MAKE_YOUNG_PAIR(BGl_list1861z00zz__lalr_genz00,
							MAKE_YOUNG_PAIR(BGl_symbol1853z00zz__lalr_genz00, BNIL)))));
			BGl_list1818z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1819z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1821z00zz__lalr_genz00,
					MAKE_YOUNG_PAIR(BGl_list1832z00zz__lalr_genz00, BNIL)));
			BGl_list1815z00zz__lalr_genz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1816z00zz__lalr_genz00,
				MAKE_YOUNG_PAIR(BGl_list1818z00zz__lalr_genz00, BNIL));
			BGl_symbol1865z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1866z00zz__lalr_genz00);
			BGl_symbol1867z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1868z00zz__lalr_genz00);
			BGl_symbol1869z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1870z00zz__lalr_genz00);
			BGl_symbol1871z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1872z00zz__lalr_genz00);
			BGl_symbol1873z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1874z00zz__lalr_genz00);
			BGl_symbol1875z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1876z00zz__lalr_genz00);
			BGl_symbol1877z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1878z00zz__lalr_genz00);
			BGl_symbol1879z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1880z00zz__lalr_genz00);
			BGl_symbol1881z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1882z00zz__lalr_genz00);
			BGl_symbol1883z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1884z00zz__lalr_genz00);
			BGl_symbol1885z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1886z00zz__lalr_genz00);
			return (BGl_symbol1887z00zz__lalr_genz00 =
				bstring_to_symbol(BGl_string1888z00zz__lalr_genz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			return bgl_gc_roots_register();
		}

	}



/* gen-lalr-code */
	BGL_EXPORTED_DEF obj_t BGl_genzd2lalrzd2codez00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 51 */
			{	/* Lalr/gen.scm 52 */
				obj_t BgL_arg1279z00_1191;

				{	/* Lalr/gen.scm 52 */
					obj_t BgL_arg1280z00_1192;
					obj_t BgL_arg1281z00_1193;

					{	/* Lalr/gen.scm 52 */
						obj_t BgL_arg1282z00_1194;
						obj_t BgL_arg1283z00_1195;

						BgL_arg1282z00_1194 = BGl_genzd2actionzd2tablez00zz__lalr_genz00();
						{	/* Lalr/gen.scm 53 */
							obj_t BgL_arg1285z00_1196;
							obj_t BgL_arg1287z00_1197;

							BgL_arg1285z00_1196 = BGl_genzd2gotozd2tablez00zz__lalr_genz00();
							{	/* Lalr/gen.scm 54 */
								obj_t BgL_arg1291z00_1198;
								obj_t BgL_arg1292z00_1199;

								BgL_arg1291z00_1198 = BGl_list1815z00zz__lalr_genz00;
								BgL_arg1292z00_1199 =
									MAKE_YOUNG_PAIR(BGl_genzd2reductionzd2tablez00zz__lalr_genz00
									(), BNIL);
								BgL_arg1287z00_1197 =
									MAKE_YOUNG_PAIR(BgL_arg1291z00_1198, BgL_arg1292z00_1199);
							}
							BgL_arg1283z00_1195 =
								MAKE_YOUNG_PAIR(BgL_arg1285z00_1196, BgL_arg1287z00_1197);
						}
						BgL_arg1280z00_1192 =
							MAKE_YOUNG_PAIR(BgL_arg1282z00_1194, BgL_arg1283z00_1195);
					}
					{	/* Lalr/gen.scm 56 */
						obj_t BgL_arg1295z00_1201;

						{	/* Lalr/gen.scm 56 */
							obj_t BgL_arg1296z00_1202;

							{	/* Lalr/gen.scm 56 */
								obj_t BgL_arg1298z00_1203;

								BgL_arg1298z00_1203 =
									MAKE_YOUNG_PAIR(BGl_symbol1865z00zz__lalr_genz00, BNIL);
								BgL_arg1296z00_1202 =
									MAKE_YOUNG_PAIR(BGl_symbol1867z00zz__lalr_genz00,
									BgL_arg1298z00_1203);
							}
							BgL_arg1295z00_1201 =
								MAKE_YOUNG_PAIR(BGl_symbol1869z00zz__lalr_genz00,
								BgL_arg1296z00_1202);
						}
						BgL_arg1281z00_1193 = MAKE_YOUNG_PAIR(BgL_arg1295z00_1201, BNIL);
					}
					BgL_arg1279z00_1191 =
						MAKE_YOUNG_PAIR(BgL_arg1280z00_1192, BgL_arg1281z00_1193);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1833z00zz__lalr_genz00,
					BgL_arg1279z00_1191);
			}
		}

	}



/* &gen-lalr-code */
	obj_t BGl_z62genzd2lalrzd2codez62zz__lalr_genz00(obj_t BgL_envz00_2072)
	{
		{	/* Lalr/gen.scm 51 */
			return BGl_genzd2lalrzd2codez00zz__lalr_genz00();
		}

	}



/* gen-action-table */
	obj_t BGl_genzd2actionzd2tablez00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 69 */
			{	/* Lalr/gen.scm 86 */
				obj_t BgL_arg1301z00_1205;

				{	/* Lalr/gen.scm 86 */
					obj_t BgL_arg1322z00_1206;

					{	/* Lalr/gen.scm 86 */
						obj_t BgL_arg1329z00_1207;

						BgL_arg1329z00_1207 =
							MAKE_YOUNG_PAIR(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
							(BGl_actionsze70ze7zz__lalr_genz00()), BNIL);
						BgL_arg1322z00_1206 =
							MAKE_YOUNG_PAIR(BGl_symbol1871z00zz__lalr_genz00,
							BgL_arg1329z00_1207);
					}
					BgL_arg1301z00_1205 = MAKE_YOUNG_PAIR(BgL_arg1322z00_1206, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1867z00zz__lalr_genz00,
					BgL_arg1301z00_1205);
			}
		}

	}



/* loop~2 */
	obj_t BGl_loopze72ze7zz__lalr_genz00(obj_t BgL_lz00_1220)
	{
		{	/* Lalr/gen.scm 75 */
			if (NULLP(BgL_lz00_1220))
				{	/* Lalr/gen.scm 76 */
					return BNIL;
				}
			else
				{	/* Lalr/gen.scm 78 */
					obj_t BgL_pz00_1223;

					BgL_pz00_1223 = CAR(((obj_t) BgL_lz00_1220));
					{	/* Lalr/gen.scm 78 */
						obj_t BgL_xz00_1224;

						BgL_xz00_1224 = CAR(((obj_t) BgL_pz00_1223));
						{	/* Lalr/gen.scm 78 */
							obj_t BgL_yz00_1225;

							BgL_yz00_1225 = CDR(((obj_t) BgL_pz00_1223));
							{	/* Lalr/gen.scm 78 */

								{	/* Lalr/gen.scm 81 */
									obj_t BgL_arg1341z00_1226;
									obj_t BgL_arg1342z00_1227;

									{	/* Lalr/gen.scm 81 */
										obj_t BgL_arg1343z00_1228;

										if (INTEGERP(BgL_xz00_1224))
											{	/* Lalr/gen.scm 81 */
												BgL_arg1343z00_1228 =
													VECTOR_REF(BGl_za2symvza2z00zz__lalr_rewritez00,
													((long) CINT(BGl_nvarsz00zz__lalr_globalz00) +
														(long) CINT(BgL_xz00_1224)));
											}
										else
											{	/* Lalr/gen.scm 81 */
												BgL_arg1343z00_1228 = BgL_xz00_1224;
											}
										BgL_arg1341z00_1226 =
											MAKE_YOUNG_PAIR(BgL_arg1343z00_1228, BgL_yz00_1225);
									}
									{	/* Lalr/gen.scm 83 */
										obj_t BgL_arg1346z00_1231;

										BgL_arg1346z00_1231 = CDR(((obj_t) BgL_lz00_1220));
										BgL_arg1342z00_1227 =
											BGl_loopze72ze7zz__lalr_genz00(BgL_arg1346z00_1231);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg1341z00_1226, BgL_arg1342z00_1227);
								}
							}
						}
					}
				}
		}

	}



/* loop-a~0 */
	obj_t BGl_loopzd2aze70z35zz__lalr_genz00(long BgL_iz00_1212)
	{
		{	/* Lalr/gen.scm 71 */
			{	/* Lalr/gen.scm 72 */
				bool_t BgL_test1924z00_2235;

				if (INTEGERP(BGl_nstatesz00zz__lalr_globalz00))
					{	/* Lalr/gen.scm 72 */
						BgL_test1924z00_2235 =
							(BgL_iz00_1212 == (long) CINT(BGl_nstatesz00zz__lalr_globalz00));
					}
				else
					{	/* Lalr/gen.scm 72 */
						BgL_test1924z00_2235 =
							BGl_2zd3zd3zz__r4_numbers_6_5z00(BINT(BgL_iz00_1212),
							BGl_nstatesz00zz__lalr_globalz00);
					}
				if (BgL_test1924z00_2235)
					{	/* Lalr/gen.scm 72 */
						return BNIL;
					}
				else
					{	/* Lalr/gen.scm 72 */
						return
							MAKE_YOUNG_PAIR(BGl_loopze72ze7zz__lalr_genz00(VECTOR_REF
								(BGl_actionzd2tablezd2zz__lalr_globalz00, BgL_iz00_1212)),
							BGl_loopzd2aze70z35zz__lalr_genz00((BgL_iz00_1212 + 1L)));
					}
			}
		}

	}



/* actions~0 */
	obj_t BGl_actionsze70ze7zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 84 */
			return BGl_loopzd2aze70z35zz__lalr_genz00(0L);
		}

	}



/* gen-goto-table */
	obj_t BGl_genzd2gotozd2tablez00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 88 */
			{	/* Lalr/gen.scm 109 */
				obj_t BgL_arg1349z00_1238;

				{	/* Lalr/gen.scm 109 */
					obj_t BgL_arg1351z00_1239;

					{	/* Lalr/gen.scm 109 */
						obj_t BgL_arg1352z00_1240;

						BgL_arg1352z00_1240 =
							MAKE_YOUNG_PAIR(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
							(BGl_gotosze70ze7zz__lalr_genz00()), BNIL);
						BgL_arg1351z00_1239 =
							MAKE_YOUNG_PAIR(BGl_symbol1871z00zz__lalr_genz00,
							BgL_arg1352z00_1240);
					}
					BgL_arg1349z00_1238 = MAKE_YOUNG_PAIR(BgL_arg1351z00_1239, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1873z00zz__lalr_genz00,
					BgL_arg1349z00_1238);
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__lalr_genz00(obj_t BgL_lz00_1254)
	{
		{	/* Lalr/gen.scm 96 */
		BGl_loopze71ze7zz__lalr_genz00:
			if (NULLP(BgL_lz00_1254))
				{	/* Lalr/gen.scm 97 */
					return BNIL;
				}
			else
				{	/* Lalr/gen.scm 99 */
					obj_t BgL_statez00_1257;

					BgL_statez00_1257 = CAR(((obj_t) BgL_lz00_1254));
					{	/* Lalr/gen.scm 99 */
						obj_t BgL_symbolz00_1258;

						BgL_symbolz00_1258 =
							VECTOR_REF(BGl_acceszd2symbolzd2zz__lalr_globalz00,
							(long) CINT(BgL_statez00_1257));
						{	/* Lalr/gen.scm 100 */

							if (
								((long) CINT(BgL_symbolz00_1258) <
									(long) CINT(BGl_nvarsz00zz__lalr_globalz00)))
								{	/* Lalr/gen.scm 103 */
									obj_t BgL_arg1365z00_1260;
									obj_t BgL_arg1366z00_1261;

									BgL_arg1365z00_1260 =
										MAKE_YOUNG_PAIR(VECTOR_REF
										(BGl_za2symvza2z00zz__lalr_rewritez00,
											(long) CINT(BgL_symbolz00_1258)), BgL_statez00_1257);
									{	/* Lalr/gen.scm 104 */
										obj_t BgL_arg1368z00_1263;

										BgL_arg1368z00_1263 = CDR(((obj_t) BgL_lz00_1254));
										BgL_arg1366z00_1261 =
											BGl_loopze71ze7zz__lalr_genz00(BgL_arg1368z00_1263);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg1365z00_1260, BgL_arg1366z00_1261);
								}
							else
								{	/* Lalr/gen.scm 105 */
									obj_t BgL_arg1369z00_1264;

									BgL_arg1369z00_1264 = CDR(((obj_t) BgL_lz00_1254));
									{
										obj_t BgL_lz00_2273;

										BgL_lz00_2273 = BgL_arg1369z00_1264;
										BgL_lz00_1254 = BgL_lz00_2273;
										goto BGl_loopze71ze7zz__lalr_genz00;
									}
								}
						}
					}
				}
		}

	}



/* loop-g~0 */
	obj_t BGl_loopzd2gze70z35zz__lalr_genz00(long BgL_iz00_1245)
	{
		{	/* Lalr/gen.scm 90 */
			{	/* Lalr/gen.scm 91 */
				bool_t BgL_test1928z00_2274;

				if (INTEGERP(BGl_nstatesz00zz__lalr_globalz00))
					{	/* Lalr/gen.scm 91 */
						BgL_test1928z00_2274 =
							(BgL_iz00_1245 == (long) CINT(BGl_nstatesz00zz__lalr_globalz00));
					}
				else
					{	/* Lalr/gen.scm 91 */
						BgL_test1928z00_2274 =
							BGl_2zd3zd3zz__r4_numbers_6_5z00(BINT(BgL_iz00_1245),
							BGl_nstatesz00zz__lalr_globalz00);
					}
				if (BgL_test1928z00_2274)
					{	/* Lalr/gen.scm 91 */
						return BNIL;
					}
				else
					{	/* Lalr/gen.scm 94 */
						obj_t BgL_arg1360z00_1249;
						obj_t BgL_arg1361z00_1250;

						{	/* Lalr/gen.scm 94 */
							obj_t BgL_shiftsz00_1251;

							BgL_shiftsz00_1251 =
								VECTOR_REF(BGl_shiftzd2tablezd2zz__lalr_globalz00,
								BgL_iz00_1245);
							if (CBOOL(BgL_shiftsz00_1251))
								{	/* Lalr/gen.scm 96 */
									obj_t BgL_g1128z00_1252;

									BgL_g1128z00_1252 =
										VECTOR_REF(((obj_t) BgL_shiftsz00_1251), 2L);
									BgL_arg1360z00_1249 =
										BGl_loopze71ze7zz__lalr_genz00(BgL_g1128z00_1252);
								}
							else
								{	/* Lalr/gen.scm 95 */
									BgL_arg1360z00_1249 = BNIL;
								}
						}
						BgL_arg1361z00_1250 =
							BGl_loopzd2gze70z35zz__lalr_genz00((BgL_iz00_1245 + 1L));
						return MAKE_YOUNG_PAIR(BgL_arg1360z00_1249, BgL_arg1361z00_1250);
					}
			}
		}

	}



/* gotos~0 */
	obj_t BGl_gotosze70ze7zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 107 */
			return BGl_loopzd2gze70z35zz__lalr_genz00(0L);
		}

	}



/* gen-reduction-table */
	obj_t BGl_genzd2reductionzd2tablez00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 111 */
			{	/* Lalr/gen.scm 148 */
				obj_t BgL_arg1371z00_1273;

				{	/* Lalr/gen.scm 148 */
					obj_t BgL_arg1372z00_1274;

					{	/* Lalr/gen.scm 148 */
						obj_t BgL_arg1373z00_1275;

						{	/* Lalr/gen.scm 148 */
							obj_t BgL_arg1374z00_1276;
							obj_t BgL_arg1376z00_1277;

							{	/* Lalr/gen.scm 148 */
								obj_t BgL_arg1377z00_1278;

								{	/* Lalr/gen.scm 148 */
									obj_t BgL_arg1378z00_1279;

									BgL_arg1378z00_1279 =
										MAKE_YOUNG_PAIR(BGl_symbol1875z00zz__lalr_genz00, BNIL);
									BgL_arg1377z00_1278 =
										MAKE_YOUNG_PAIR(BGl_symbol1877z00zz__lalr_genz00,
										BgL_arg1378z00_1279);
								}
								BgL_arg1374z00_1276 =
									MAKE_YOUNG_PAIR(BGl_symbol1879z00zz__lalr_genz00,
									BgL_arg1377z00_1278);
							}
							{	/* Lalr/gen.scm 150 */
								obj_t BgL_arg1379z00_1280;

								{	/* Lalr/gen.scm 150 */
									obj_t BgL_arg1380z00_1281;

									{	/* Lalr/gen.scm 150 */
										obj_t BgL_arg1381z00_1282;

										BgL_arg1381z00_1282 =
											BGl_reductionsze70ze7zz__lalr_genz00();
										BgL_arg1380z00_1281 =
											MAKE_YOUNG_PAIR(BGl_symbol1879z00zz__lalr_genz00,
											BgL_arg1381z00_1282);
									}
									BgL_arg1379z00_1280 =
										MAKE_YOUNG_PAIR(BGl_symbol1881z00zz__lalr_genz00,
										BgL_arg1380z00_1281);
								}
								BgL_arg1376z00_1277 =
									MAKE_YOUNG_PAIR(BgL_arg1379z00_1280, BNIL);
							}
							BgL_arg1373z00_1275 =
								MAKE_YOUNG_PAIR(BgL_arg1374z00_1276, BgL_arg1376z00_1277);
						}
						BgL_arg1372z00_1274 =
							MAKE_YOUNG_PAIR(BGl_symbol1819z00zz__lalr_genz00,
							BgL_arg1373z00_1275);
					}
					BgL_arg1371z00_1273 = MAKE_YOUNG_PAIR(BgL_arg1372z00_1274, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1865z00zz__lalr_genz00,
					BgL_arg1371z00_1273);
			}
		}

	}



/* loop-l~0 */
	obj_t BGl_loopzd2lze70z35zz__lalr_genz00(obj_t BgL_lz00_1328,
		long BgL_noz00_1329)
	{
		{	/* Lalr/gen.scm 131 */
			if (NULLP(BgL_lz00_1328))
				{	/* Lalr/gen.scm 132 */
					return BNIL;
				}
			else
				{	/* Lalr/gen.scm 134 */
					obj_t BgL_defz00_1332;

					BgL_defz00_1332 = CAR(((obj_t) BgL_lz00_1328));
					{	/* Lalr/gen.scm 134 */
						obj_t BgL_ntz00_1333;

						BgL_ntz00_1333 = CAR(((obj_t) BgL_defz00_1332));
						{	/* Lalr/gen.scm 135 */

							{	/* Lalr/gen.scm 136 */
								obj_t BgL_g1129z00_1334;

								BgL_g1129z00_1334 = CDR(((obj_t) BgL_defz00_1332));
								return
									BGl_loopzd2pze70z35zz__lalr_genz00(BgL_lz00_1328,
									BgL_ntz00_1333, BgL_g1129z00_1334, BgL_noz00_1329);
							}
						}
					}
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__lalr_genz00(long BgL_iz00_1288, obj_t BgL_lz00_1289)
	{
		{	/* Lalr/gen.scm 113 */
			if (NULLP(BgL_lz00_1289))
				{	/* Lalr/gen.scm 114 */
					return BNIL;
				}
			else
				{	/* Lalr/gen.scm 116 */
					obj_t BgL_symz00_1292;

					BgL_symz00_1292 = CAR(((obj_t) BgL_lz00_1289));
					{	/* Lalr/gen.scm 118 */
						obj_t BgL_arg1385z00_1293;
						obj_t BgL_arg1386z00_1294;

						{	/* Lalr/gen.scm 118 */
							obj_t BgL_arg1387z00_1295;
							obj_t BgL_arg1388z00_1296;

							if (PAIRP(BgL_symz00_1292))
								{	/* Lalr/gen.scm 118 */
									BgL_arg1387z00_1295 = CDR(BgL_symz00_1292);
								}
							else
								{	/* Lalr/gen.scm 118 */
									BgL_arg1387z00_1295 = BgL_symz00_1292;
								}
							{	/* Lalr/gen.scm 119 */
								obj_t BgL_arg1390z00_1298;

								{	/* Lalr/gen.scm 119 */
									obj_t BgL_arg1391z00_1299;

									{	/* Lalr/gen.scm 119 */
										obj_t BgL_arg1392z00_1300;

										{	/* Lalr/gen.scm 119 */
											obj_t BgL_arg1395z00_1301;

											{	/* Lalr/gen.scm 119 */
												obj_t BgL_arg1396z00_1302;

												{	/* Lalr/gen.scm 119 */
													obj_t BgL_arg1397z00_1303;

													{	/* Lalr/gen.scm 119 */
														long BgL_arg1398z00_1304;

														BgL_arg1398z00_1304 = ((BgL_iz00_1288 * 2L) - 1L);
														BgL_arg1397z00_1303 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1398z00_1304), BNIL);
													}
													BgL_arg1396z00_1302 =
														MAKE_YOUNG_PAIR(BGl_symbol1875z00zz__lalr_genz00,
														BgL_arg1397z00_1303);
												}
												BgL_arg1395z00_1301 =
													MAKE_YOUNG_PAIR(BGl_symbol1863z00zz__lalr_genz00,
													BgL_arg1396z00_1302);
											}
											BgL_arg1392z00_1300 =
												MAKE_YOUNG_PAIR(BgL_arg1395z00_1301, BNIL);
										}
										BgL_arg1391z00_1299 =
											MAKE_YOUNG_PAIR(BGl_symbol1877z00zz__lalr_genz00,
											BgL_arg1392z00_1300);
									}
									BgL_arg1390z00_1298 =
										MAKE_YOUNG_PAIR(BGl_symbol1883z00zz__lalr_genz00,
										BgL_arg1391z00_1299);
								}
								BgL_arg1388z00_1296 =
									MAKE_YOUNG_PAIR(BgL_arg1390z00_1298, BNIL);
							}
							BgL_arg1385z00_1293 =
								MAKE_YOUNG_PAIR(BgL_arg1387z00_1295, BgL_arg1388z00_1296);
						}
						{	/* Lalr/gen.scm 120 */
							long BgL_arg1400z00_1306;
							obj_t BgL_arg1401z00_1307;

							BgL_arg1400z00_1306 = (BgL_iz00_1288 - 1L);
							BgL_arg1401z00_1307 = CDR(((obj_t) BgL_lz00_1289));
							BgL_arg1386z00_1294 =
								BGl_loopze70ze7zz__lalr_genz00(BgL_arg1400z00_1306,
								BgL_arg1401z00_1307);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1385z00_1293, BgL_arg1386z00_1294);
					}
				}
		}

	}



/* loop-p~0 */
	obj_t BGl_loopzd2pze70z35zz__lalr_genz00(obj_t BgL_lz00_2074,
		obj_t BgL_ntz00_2073, obj_t BgL_prodsz00_1336, long BgL_noz00_1337)
	{
		{	/* Lalr/gen.scm 136 */
			{
				obj_t BgL_ntz00_1309;
				long BgL_nz00_1310;
				obj_t BgL_actz00_1311;

				if (NULLP(BgL_prodsz00_1336))
					{	/* Lalr/gen.scm 138 */
						obj_t BgL_arg1422z00_1340;

						BgL_arg1422z00_1340 = CDR(((obj_t) BgL_lz00_2074));
						return
							BGl_loopzd2lze70z35zz__lalr_genz00(BgL_arg1422z00_1340,
							BgL_noz00_1337);
					}
				else
					{	/* Lalr/gen.scm 139 */
						obj_t BgL_rhsz00_1341;

						{	/* Lalr/gen.scm 139 */
							obj_t BgL_pairz00_1843;

							BgL_pairz00_1843 = CAR(((obj_t) BgL_prodsz00_1336));
							BgL_rhsz00_1341 = CAR(BgL_pairz00_1843);
						}
						{	/* Lalr/gen.scm 139 */
							obj_t BgL_actz00_1342;

							{	/* Lalr/gen.scm 139 */
								obj_t BgL_pairz00_1847;

								BgL_pairz00_1847 = CAR(((obj_t) BgL_prodsz00_1336));
								BgL_actz00_1342 = CDR(BgL_pairz00_1847);
							}
							{	/* Lalr/gen.scm 139 */
								long BgL_nz00_1343;

								BgL_nz00_1343 = bgl_list_length(BgL_rhsz00_1341);
								{	/* Lalr/gen.scm 139 */

									{	/* Lalr/gen.scm 142 */
										obj_t BgL_arg1423z00_1344;
										obj_t BgL_arg1424z00_1345;

										{	/* Lalr/gen.scm 142 */
											obj_t BgL_arg1425z00_1346;
											obj_t BgL_arg1426z00_1347;

											{	/* Lalr/gen.scm 142 */
												obj_t BgL_list1429z00_1350;

												BgL_list1429z00_1350 =
													MAKE_YOUNG_PAIR(BINT(BgL_noz00_1337), BNIL);
												BgL_arg1425z00_1346 = BgL_list1429z00_1350;
											}
											{	/* Lalr/gen.scm 143 */
												obj_t BgL_arg1430z00_1351;

												{	/* Lalr/gen.scm 143 */
													obj_t BgL_arg1431z00_1352;
													obj_t BgL_arg1432z00_1353;

													BgL_arg1431z00_1352 =
														BGl_loopze70ze7zz__lalr_genz00(BgL_nz00_1343,
														BgL_rhsz00_1341);
													{	/* Lalr/gen.scm 143 */
														obj_t BgL_tmpz00_2349;

														BgL_ntz00_1309 = BgL_ntz00_2073;
														BgL_nz00_1310 = BgL_nz00_1343;
														BgL_actz00_1311 = BgL_actz00_1342;
														if (
															(BgL_ntz00_1309 ==
																BGl_symbol1885z00zz__lalr_genz00))
															{	/* Lalr/gen.scm 123 */
																BgL_tmpz00_2349 =
																	VECTOR_REF
																	(BGl_za2symvza2z00zz__lalr_rewritez00, 1L);
															}
														else
															{	/* Lalr/gen.scm 125 */
																obj_t BgL_arg1403z00_1313;

																{	/* Lalr/gen.scm 125 */
																	obj_t BgL_arg1404z00_1314;

																	{	/* Lalr/gen.scm 125 */
																		obj_t BgL_arg1405z00_1315;
																		obj_t BgL_arg1407z00_1316;

																		{	/* Lalr/gen.scm 125 */
																			obj_t BgL_arg1408z00_1317;

																			{	/* Lalr/gen.scm 125 */
																				obj_t BgL_arg1409z00_1318;

																				{	/* Lalr/gen.scm 125 */
																					long BgL_arg1410z00_1319;

																					BgL_arg1410z00_1319 =
																						(2L * BgL_nz00_1310);
																					BgL_arg1409z00_1318 =
																						MAKE_YOUNG_PAIR(BINT
																						(BgL_arg1410z00_1319), BNIL);
																				}
																				BgL_arg1408z00_1317 =
																					MAKE_YOUNG_PAIR
																					(BGl_symbol1875z00zz__lalr_genz00,
																					BgL_arg1409z00_1318);
																			}
																			BgL_arg1405z00_1315 =
																				MAKE_YOUNG_PAIR
																				(BGl_symbol1863z00zz__lalr_genz00,
																				BgL_arg1408z00_1317);
																		}
																		{	/* Lalr/gen.scm 126 */
																			obj_t BgL_arg1411z00_1320;
																			obj_t BgL_arg1412z00_1321;

																			{	/* Lalr/gen.scm 126 */
																				obj_t BgL_arg1413z00_1322;

																				BgL_arg1413z00_1322 =
																					MAKE_YOUNG_PAIR(BgL_ntz00_1309, BNIL);
																				BgL_arg1411z00_1320 =
																					MAKE_YOUNG_PAIR
																					(BGl_symbol1871z00zz__lalr_genz00,
																					BgL_arg1413z00_1322);
																			}
																			{	/* Lalr/gen.scm 128 */
																				obj_t BgL_arg1414z00_1323;

																				{	/* Lalr/gen.scm 128 */
																					obj_t BgL_arg1415z00_1324;

																					{	/* Lalr/gen.scm 128 */
																						obj_t BgL_arg1416z00_1325;

																						BgL_arg1416z00_1325 =
																							MAKE_YOUNG_PAIR(BNIL,
																							BgL_actz00_1311);
																						BgL_arg1415z00_1324 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol1887z00zz__lalr_genz00,
																							BgL_arg1416z00_1325);
																					}
																					BgL_arg1414z00_1323 =
																						MAKE_YOUNG_PAIR(BgL_arg1415z00_1324,
																						BNIL);
																				}
																				BgL_arg1412z00_1321 =
																					MAKE_YOUNG_PAIR
																					(BGl_symbol1873z00zz__lalr_genz00,
																					BgL_arg1414z00_1323);
																			}
																			BgL_arg1407z00_1316 =
																				MAKE_YOUNG_PAIR(BgL_arg1411z00_1320,
																				BgL_arg1412z00_1321);
																		}
																		BgL_arg1404z00_1314 =
																			MAKE_YOUNG_PAIR(BgL_arg1405z00_1315,
																			BgL_arg1407z00_1316);
																	}
																	BgL_arg1403z00_1313 =
																		MAKE_YOUNG_PAIR
																		(BGl_symbol1877z00zz__lalr_genz00,
																		BgL_arg1404z00_1314);
																}
																BgL_tmpz00_2349 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1816z00zz__lalr_genz00,
																	BgL_arg1403z00_1313);
															}
														BgL_arg1432z00_1353 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_2349, BNIL);
													}
													BgL_arg1430z00_1351 =
														MAKE_YOUNG_PAIR(BgL_arg1431z00_1352,
														BgL_arg1432z00_1353);
												}
												BgL_arg1426z00_1347 =
													MAKE_YOUNG_PAIR(BGl_symbol1887z00zz__lalr_genz00,
													BgL_arg1430z00_1351);
											}
											{	/* Lalr/gen.scm 141 */
												obj_t BgL_list1427z00_1348;

												{	/* Lalr/gen.scm 141 */
													obj_t BgL_arg1428z00_1349;

													BgL_arg1428z00_1349 =
														MAKE_YOUNG_PAIR(BgL_arg1426z00_1347, BNIL);
													BgL_list1427z00_1348 =
														MAKE_YOUNG_PAIR(BgL_arg1425z00_1346,
														BgL_arg1428z00_1349);
												}
												BgL_arg1423z00_1344 = BgL_list1427z00_1348;
										}}
										{	/* Lalr/gen.scm 145 */
											obj_t BgL_arg1434z00_1355;
											long BgL_arg1435z00_1356;

											BgL_arg1434z00_1355 = CDR(((obj_t) BgL_prodsz00_1336));
											BgL_arg1435z00_1356 = (BgL_noz00_1337 + 1L);
											BgL_arg1424z00_1345 =
												BGl_loopzd2pze70z35zz__lalr_genz00(BgL_lz00_2074,
												BgL_ntz00_2073, BgL_arg1434z00_1355,
												BgL_arg1435z00_1356);
										}
										return
											MAKE_YOUNG_PAIR(BgL_arg1423z00_1344, BgL_arg1424z00_1345);
									}
								}
							}
						}
					}
			}
		}

	}



/* reductions~0 */
	obj_t BGl_reductionsze70ze7zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 145 */
			return
				BGl_loopzd2lze70z35zz__lalr_genz00(BGl_grammarz00zz__lalr_globalz00,
				1L);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__lalr_genz00(void)
	{
		{	/* Lalr/gen.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__lalr_globalz00(39277513L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(80638262L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__rgcz00(352600006L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(323064722L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
			return BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string1889z00zz__lalr_genz00));
		}

	}

#ifdef __cplusplus
}
#endif
